Subject: Ticket Assigned - MISSING ORDER
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 15 May 2022 15:10:07 +0000

Hi Ali Alsareti,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  MISSING ORDER Hello

I placed an order which I am still waiting for:  #9569012239

It says it was delivered on 05/05/2022 however I have still not received it. I checked the app - it is showing delivery address is apartment 501 but this is wrong. I have ordered many times, it is apartment 510**. This was changed in the app but error on app keeps changing it back. I would like the delivery person to visit the apartment where he said he left it to find the parcel because I cannot find the parcel. Or I would like a refund. I have tried calling, I have tried CHATBOT and I am now emailing. I need this to be sorted.

Please note, I can only communicate by email or my UK number is +44 7535482263.
Online chat confirmed that it has been delivered to 501, please advise what the next action is to resolve this. thanks Afiya .

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4359644